
INCLUDE+= $(addprefix -I, $(include-paths))

show:
	@echo "addprefix: $(INCLUDE)"
USERLIBS+= $(addprefix -l, $(USERLIB))

LIBS+=-L$(MOCKCPP_ROOT)/lib -lmockcpp -L$(TESTNGPP_ROOT)/lib -ltestngpp  $(USERLIBS)

all-tests-files=$(shell ls $(PWD)/Test*.h)
Test$(suite-name).cc:$(all-tests-files)
	@echo "generating $@ ... "
	@$(TEST_GENERATOR) -o $@ $^


# whether to generate coverage data
# 'make cov=y'
cov=n
ifeq ($(cov), y)
COVERAGE-FLAG= -fprofile-arcs -ftest-coverage
endif

LINK=g++ -fPIC $(COVERAGE-FLAG) -shared -Wl,--no-undefined 

CMPFLAG += -DXLS_SAFE_VERSION
Test$(suite-name).so :  Test$(suite-name).cc $(sut-src) $(extra-srcs) 
	@echo "linking $@ ... "
	@$(LINK) -o $@ $^  $(CMPFLAG)  $(INCLUDE) $(LIBS)

